Package org.eclipse.emf.compare.impl

# Class MatchImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.compare.impl.MatchImpl

All Implemented Interfaces:
  `Notifier`, `Match`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`

Direct Known Subclasses:
  `MatchSpec`

public class MatchImpl extends MinimalEObjectImpl.Container implements Match
An implementation of the model object 'Match'.

The following features are implemented:

- `Submatches`
- `Differences`
- `Left`
- `Right`
- `Origin`

Generated:

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`copyright`
`protected EList<Diff>`
`differences`
The cached value of the '`Differences`' containment reference list.
`protected EObject`
`left`
The cached value of the '`Left`' reference.
`protected EObject`
`origin`
The cached value of the '`Origin`' reference.
`protected EObject`
`right`
The cached value of the '`Right`' reference.
`protected EList<Match>`
`submatches`
The cached value of the '`Submatches`' containment reference list.

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MatchImpl()`

## Method Summary

Modifier and Type
Method
Description
`EObject`
`basicGetLeft()`
`EObject`
`basicGetOrigin()`
`EObject`
`basicGetRight()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`Iterable<Diff>`
`getAllDifferences()`
`Iterable<Match>`
`getAllSubmatches()`
`Comparison`
`getComparison()`
`EList<Diff>`
`getDifferences()`
`EObject`
`getLeft()`
`EObject`
`getOrigin()`
`EObject`
`getRight()`
`EList<Match>`
`getSubmatches()`
`void`
`setLeft(EObject newLeft)`
`void`
`setOrigin(EObject newOrigin)`
`void`
`setRight(EObject newRight)`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### copyright

public static final String copyright

See Also:
  - Constant Field Values
Generated:

### submatches

protected EList<Match> submatches
The cached value of the '`Submatches`' containment reference list.

See Also:
  - `getSubmatches()`
Generated:

### differences

protected EList<Diff> differences
The cached value of the '`Differences`' containment reference list.

See Also:
  - `getDifferences()`
Generated:

### left

protected EObject left
The cached value of the '`Left`' reference.

See Also:
  - `getLeft()`
Generated:

### right

protected EObject right
The cached value of the '`Right`' reference.

See Also:
  - `getRight()`
Generated:

### origin

protected EObject origin
The cached value of the '`Origin`' reference.

See Also:
  - `getOrigin()`
Generated:

## Constructor Details

### MatchImpl

protected MatchImpl()

Generated:

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `BasicEObjectImpl`
Generated:

### getSubmatches

public EList<Match> getSubmatches()

Specified by:
  `getSubmatches` in interface `Match`
Returns:
  the value of the 'Submatches' containment reference list.
See Also:
  - `ComparePackage.getMatch_Submatches()`
Generated:

### getDifferences

public EList<Diff> getDifferences()

Specified by:
  `getDifferences` in interface `Match`
Returns:
  the value of the 'Differences' containment reference list.
See Also:
  - `ComparePackage.getMatch_Differences()`
Generated:

### getLeft

public EObject getLeft()

Specified by:
  `getLeft` in interface `Match`
Returns:
  the value of the 'Left' reference.
See Also:
  - `Match.setLeft(EObject)`
  - `ComparePackage.getMatch_Left()`
Generated:

### basicGetLeft

public EObject basicGetLeft()

Generated:

### setLeft

public void setLeft(EObject newLeft)

Specified by:
  `setLeft` in interface `Match`
Parameters:
  `newLeft` - the new value of the 'Left' reference.
See Also:
  - `Match.getLeft()`
Generated:

### getRight

public EObject getRight()

Specified by:
  `getRight` in interface `Match`
Returns:
  the value of the 'Right' reference.
See Also:
  - `Match.setRight(EObject)`
  - `ComparePackage.getMatch_Right()`
Generated:

### basicGetRight

public EObject basicGetRight()

Generated:

### setRight

public void setRight(EObject newRight)

Specified by:
  `setRight` in interface `Match`
Parameters:
  `newRight` - the new value of the 'Right' reference.
See Also:
  - `Match.getRight()`
Generated:

### getOrigin

public EObject getOrigin()

Specified by:
  `getOrigin` in interface `Match`
Returns:
  the value of the 'Origin' reference.
See Also:
  - `Match.setOrigin(EObject)`
  - `ComparePackage.getMatch_Origin()`
Generated:

### basicGetOrigin

public EObject basicGetOrigin()

Generated:

### setOrigin

public void setOrigin(EObject newOrigin)

Specified by:
  `setOrigin` in interface `Match`
Parameters:
  `newOrigin` - the new value of the 'Origin' reference.
See Also:
  - `Match.getOrigin()`
Generated:

### getComparison

public Comparison getComparison()

Specified by:
  `getComparison` in interface `Match`
Generated:

### getAllSubmatches

public Iterable<Match> getAllSubmatches()

Specified by:
  `getAllSubmatches` in interface `Match`
Generated:

### getAllDifferences

public Iterable<Diff> getAllDifferences()

Specified by:
  `getAllDifferences` in interface `Match`
Generated:

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `BasicEObjectImpl`
Generated:

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `BasicEObjectImpl`
Generated:

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `BasicEObjectImpl`
Generated:

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `BasicEObjectImpl`
Generated:

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `BasicEObjectImpl`
Generated: